sdr::Proxy Class Reference
Filter and signal processing nodes.

A NOP node. More...

`#include <node.hh>`

Inheritance diagram for sdr::Proxy:

## Public Member Functions

| Proxy ()
| Constructor. More...
virtual | ~Proxy ()
| Destructor. More...
virtual void | config (const Config &src_cfg)
| Configures the node. More...
virtual void | handleBuffer (const RawBuffer &buffer, bool allow_overwrite)
| Forwards the buffer. More...
Public Member Functions inherited from sdr::SinkBase
| SinkBase ()
| Constructor. More...
virtual | ~SinkBase ()
| Destructor. More...
Public Member Functions inherited from sdr::Source
| Source ()
| Constructor. More...
virtual | ~Source ()
| Destructor. More...
virtual void | send (const RawBuffer &buffer, bool allow_overwrite=false)
| Sends the given buffer to all connected sinks. More...
void | connect (SinkBase *sink, bool direct=false)
| Connect this source to a sink. More...
void | disconnect (SinkBase *sink)
| Disconnect a sink again. More...
virtual void | setConfig (const Config &config)
| Stores the configuration and propergates it if the configuration has been changed. More...
virtual double | sampleRate () const
| Returns the configured sample rate or `0` otherwise. More...
virtual Config::Type | type () const
| Returns the configured source type or `Config::Type_UNDEFINED` otherwise. More...
template<class T >
void | addEOS (T *instance, void(T::*function)())
| Adds a callback to the end-of-stream signal of the source. More...

## Additional Inherited Members

Protected Member Functions inherited from sdr::Source
void | signalEOS ()
| Signals the EOS. More...
void | propagateConfig (const Config &config)
| Propagates the given configuration to all connected sinks. More...
Protected Attributes inherited from sdr::Source
Config | _config
| Holds the source configuration, this can be updated by calling `setConfig`. More...
std::map< SinkBase *, bool > | _sinks
| The connected sinks. More...
std::list< DelegateInterface * > | _eos
| The connected EOS singal handlers. More...

## Detailed Description

A NOP node.

## Constructor & Destructor Documentation

Proxy::Proxy | ( |  | ) |

Constructor.

Proxy::~Proxy | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

void Proxy::config | ( | const Config & | src_cfg | ) |

virtual

Configures the node.

Implements sdr::SinkBase.

void Proxy::handleBuffer | ( | const RawBuffer & | buffer,
|  | bool | allow_overwrite
| ) |  |

virtual

Forwards the buffer.

Implements sdr::SinkBase.

The documentation for this class was generated from the following files:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/node.hh
- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/node.cc